> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoutbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Campaign Senders

> Return the senders pinned to a campaign in the order they're rotated.



## OpenAPI

````yaml GET /email/campaigns/{campaign_id}/senders/
openapi: 3.1.0
info:
  title: Outbox AI API
  description: API for managing AI agents (chatbots and voicebots) on the Outbox platform
  version: 1.0.0
servers:
  - url: https://api.getoutbox.ai
security: []
paths:
  /email/campaigns/{campaign_id}/senders/:
    get:
      tags:
        - email
      summary: List Campaign Senders
      description: Return the senders pinned to a campaign in the order they're rotated.
      operationId: email_campaigns_senders_retrieve
      parameters:
        - in: path
          name: campaign_id
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailCampaignSenderListResponse'
          description: ''
        '404':
          description: Campaign not found.
      security:
        - jwtAuth: []
        - {}
components:
  schemas:
    EmailCampaignSenderListResponse:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/EmailCampaignSenderItem'
      required:
        - results
    EmailCampaignSenderItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
        from_email:
          type: string
          format: email
        from_name:
          type: string
        status:
          type: string
      required:
        - from_email
        - from_name
        - id
        - status
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````